## pcsc-tools 1.0.4

=== Makefile ===

# $Id: Makefile,v 1.6 2001/11/08 08:44:10 rousseau Exp $

CC=gcc
VERSION=`echo \`pwd\` | sed s/.*tools-//`
CFLAGS=-Wall -O2 -DVERSION=\"$(VERSION)\"
LDLIBS=-lpcsclite -lpthread

BIN=pcsc_scan
MAN=pcsc_scan.1.gz gscriptor.1p.gz scriptor.1p.gz

all: $(BIN) $(MAN)

pcsc_scan: pcsc_scan.o

install: all
	install --directory $(DESTDIR)/usr/bin/
	install $(BIN) $(DESTDIR)/usr/bin/

	install gscriptor scriptor $(DESTDIR)/usr/bin/

	install --directory $(DESTDIR)/usr/share/man/man1/
	install --mode 644 $(MAN) $(DESTDIR)/usr/share/man/man1/

clean:
	rm -f pcsc_scan.o $(BIN) $(MAN)

%.1.gz: %.1
	gzip --best $^ --to-stdout > $@

%.1p.gz: %.1p
	gzip --best $^ --to-stdout > $@

.PHONY: clean all install

## pcsc-tools 1.3.3

=== Makefile ===

# $Id: Makefile,v 1.13 2004/04/02 06:40:02 rousseau Exp $

# The root of the include and lib directory where PCSC Lite is installed.
PCSCBASE ?= /usr/local

# by default install in /usr/local
DESTDIR ?= /usr/local

VERSION=`echo \`pwd\` | sed s/.*tools-//`
CFLAGS=-Wall -O2 -g -DVERSION=\"$(VERSION)\" -I$(PCSCBASE)/include
LDLIBS=-lpcsclite -lpthread -L$(PCSCBASE)/lib
# On xBSD systems use
#LDLIBS=-lpcsclite -lc_r -L$(PCSCBASE)/lib
# on MacOSX
#CFLAGS=-Wall -O2 -DVERSION=\"$(VERSION)\" -framework PCSC
#LDLIBS=-framework PCSC

BIN=pcsc_scan
BIN_SCRIPT=ATR_analysis gscriptor scriptor
MAN=pcsc_scan.1.gz gscriptor.1p.gz scriptor.1p.gz ATR_analysis.1p.gz

all: $(BIN) $(MAN)

pcsc_scan: pcsc_scan.o

install: all
	install --directory $(DESTDIR)/bin/
	install $(BIN) $(DESTDIR)/bin/

	install $(BIN_SCRIPT) $(DESTDIR)/bin/

	install --directory $(DESTDIR)/pcsc
	install --mode 644 smartcard_list.txt $(DESTDIR)/pcsc

	install --directory $(DESTDIR)/share/man/man1/
	install --mode 644 $(MAN) $(DESTDIR)/share/man/man1/

clean:
	rm -f pcsc_scan.o $(BIN) $(MAN)

%.1.gz: %.1
	gzip --best $^ --to-stdout > $@

%.1p.gz: %.1p
	gzip --best $^ --to-stdout > $@

.PHONY: clean all install

## pcsc-tools 1.4.0

=== Makefile ===
# $Id: Makefile,v 1.15 2004/06/13 21:01:23 rousseau Exp $

# PC/SC Lite libraries and headers.
PCSC_CFLAGS ?= `pkg-config libpcsclite --cflags`
PCSC_LDLIBS ?= `pkg-config libpcsclite --libs`

# by default install in /usr/local
DESTDIR ?= /usr/local

VERSION=`echo \`pwd\` | sed s/.*tools-//`
CFLAGS=-Wall -O2 -g -DVERSION=\"$(VERSION)\" $(PCSC_CFLAGS)
LDLIBS=$(PCSC_LDLIBS)
# On xBSD systems use
#LDLIBS=-lc_r $(PCSC_LDLIBS)
# on MacOSX
#CFLAGS=-Wall -O2 -DVERSION=\"$(VERSION)\" -framework PCSC
#LDLIBS=-framework PCSC

BIN=pcsc_scan
BIN_SCRIPT=ATR_analysis gscriptor scriptor
MAN=pcsc_scan.1.gz gscriptor.1p.gz scriptor.1p.gz ATR_analysis.1p.gz

all: $(BIN) $(MAN)

pcsc_scan: pcsc_scan.o

install: all
	install -d $(DESTDIR)/bin/
	install $(BIN) $(DESTDIR)/bin/

	install $(BIN_SCRIPT) $(DESTDIR)/bin/

	install -d $(DESTDIR)/pcsc
	install -m 644 smartcard_list.txt $(DESTDIR)/pcsc

	install -d $(DESTDIR)/share/man/man1/
	install -m 644 $(MAN) $(DESTDIR)/share/man/man1/

clean:
	rm -f pcsc_scan.o $(BIN) $(MAN)

%.1.gz: %.1
	gzip --best $^ --to-stdout > $@

%.1p.gz: %.1p
	gzip --best $^ --to-stdout > $@

.PHONY: clean all install

## pcsc-tools 1.4.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.15 2004/06/13 21:01:23 rousseau Exp $
+# $Id: Makefile,v 1.16 2006-03-09 12:17:40 rousseau Exp $
 
 # PC/SC Lite libraries and headers.
 PCSC_CFLAGS ?= `pkg-config libpcsclite --cflags`
@@ -30,8 +30,8 @@
 
 	install $(BIN_SCRIPT) $(DESTDIR)/bin/
 
-	install -d $(DESTDIR)/pcsc
-	install -m 644 smartcard_list.txt $(DESTDIR)/pcsc
+	install -d $(DESTDIR)/share/pcsc
+	install -m 644 smartcard_list.txt $(DESTDIR)/share/pcsc
 
 	install -d $(DESTDIR)/share/man/man1/
 	install -m 644 $(MAN) $(DESTDIR)/share/man/man1/

## pcsc-tools 1.4.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.16 2006-03-09 12:17:40 rousseau Exp $
+# $Id: Makefile,v 1.18 2007-10-30 22:35:57 rousseau Exp $
 
 # PC/SC Lite libraries and headers.
 PCSC_CFLAGS ?= `pkg-config libpcsclite --cflags`

## pcsc-tools 1.4.15

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.18 2007-10-30 22:35:57 rousseau Exp $
+# $Id: Makefile,v 1.19 2008-09-07 11:42:16 rousseau Exp $
 
 # PC/SC Lite libraries and headers.
 PCSC_CFLAGS ?= `pkg-config libpcsclite --cflags`
@@ -13,7 +13,7 @@
 # On xBSD systems use
 #LDLIBS=-lc_r $(PCSC_LDLIBS)
 # on MacOSX
-#CFLAGS=-Wall -O2 -DVERSION=\"$(VERSION)\" -framework PCSC
+#CFLAGS=-Wall -O2 -DVERSION=\"$(VERSION)\"
 #LDLIBS=-framework PCSC
 
 BIN=pcsc_scan

## pcsc-tools 1.4.16

=== Makefile ===
# $Id: Makefile 4192 2009-05-10 15:48:14Z rousseau $

# PC/SC Lite libraries and headers.
PCSC_CFLAGS ?= $(shell pkg-config libpcsclite --cflags)
PCSC_LDLIBS ?= $(shell pkg-config libpcsclite --libs)

# by default install in /usr/local
DESTDIR ?= /usr/local

VERSION := $(shell pwd | sed s/.*tools-//)
CFLAGS := -Wall -O2 -g -DVERSION=\"$(VERSION)\" $(PCSC_CFLAGS)
LDLIBS := $(PCSC_LDLIBS)
# On xBSD systems use
#LDLIBS = -lc_r $(PCSC_LDLIBS)
# on MacOSX
#CFLAGS = -Wall -O2 -DVERSION=\"$(VERSION)\"
#LDLIBS = -framework PCSC

BIN = pcsc_scan
BIN_SCRIPT = ATR_analysis gscriptor scriptor
MAN = pcsc_scan.1.gz gscriptor.1p.gz scriptor.1p.gz ATR_analysis.1p.gz

all: $(BIN) $(MAN)

pcsc_scan: pcsc_scan.o

install: all
	install -d $(DESTDIR)/bin/
	install $(BIN) $(DESTDIR)/bin/

	install $(BIN_SCRIPT) $(DESTDIR)/bin/

	install -d $(DESTDIR)/share/pcsc
	install -m 644 smartcard_list.txt $(DESTDIR)/share/pcsc

	install -d $(DESTDIR)/share/man/man1/
	install -m 644 $(MAN) $(DESTDIR)/share/man/man1/

clean:
	rm -f pcsc_scan.o $(BIN) $(MAN)

%.1.gz: %.1
	gzip --best $^ --to-stdout > $@

%.1p.gz: %.1p
	gzip --best $^ --to-stdout > $@

.PHONY: clean all install

## pcsc-tools 1.4.18

=== debian/changelog ===
pcsc-tools (1.4.18-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2. No change needed.
  * debian/source/format: explicitly use "3.0 (quilt)" format
  * debian/copyright: use GPL-2 instead of GPL symbolic link
    lintian warning: copyright-refers-to-symlink-license
    usr/share/common-licenses/GPL
  * debian/rules: use a minimal version with dh

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 18 Dec 2011 14:30:01 +0100

pcsc-tools (1.4.17-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.8.3 -> 3.9.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Aug 2010 23:47:13 +0200

pcsc-tools (1.4.16-1) unstable; urgency=low

  * New upstream release
  * use debhelper v7
  * debian/control: remove version for libpcsclite-dev and libpcsc-perl
    dependencies since even the version in stable are good enough now
  * Standards-Version: 3.7.3 -> 3.8.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 13 Jan 2010 08:54:02 +0100

pcsc-tools (1.4.15-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Feb 2009 15:57:42 +0000

pcsc-tools (1.4.14-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 11 May 2008 15:41:19 +0200

pcsc-tools (1.4.13-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   - add Vcs-Svn: and Vcs-Browser: now the packaging is hosted on
     alioth/collab-maint
   - Build-Depends: libpcsclite-dev (>= 1.2.9-beta2) instead of 1.2.9-beta2-1
     to avoid a build-depends-on-1-revision lintian warning
  * debian/copyright: add "Copyright" to avoid a
    copyright-without-copyright-notice lintian warning
  * debian/manpages: new file to correctly install the manpages and avoid a
    manpage-not-compressed-with-gzip lintian error

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 23 Mar 2008 20:07:11 +0000

pcsc-tools (1.4.12-1) unstable; urgency=low

  * New upstream release
  * debian/control
   - Standards-Version: 3.7.2 -> 3.7.3. No change needed
   - use Homepage: field
  * debian/dirs: remove empty usr/lib/pcsc

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 02 Feb 2008 17:22:04 +0100

pcsc-tools (1.4.11-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 30 Oct 2007 23:33:10 +0100

pcsc-tools (1.4.10-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 10 Aug 2007 23:40:13 +0200

pcsc-tools (1.4.9-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   - Build-Depends: debhelper (>> 4.0.0) instead of 3.0.0 since we use compat
     level 4
   - Standards-Version: 3.6.2 -> 3.7.2, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 01 Jun 2007 15:24:39 +0200

pcsc-tools (1.4.8-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 26 Nov 2006 15:54:00 +0100

pcsc-tools (1.4.7-1) unstable; urgency=low

  * New upstream release
  * debian/control: Closes: #390256 "Spelling mistake in package description"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed,  4 Oct 2006 22:45:28 +0200

pcsc-tools (1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 12 Aug 2006 21:50:14 +0200

pcsc-tools (1.4.5-1) unstable; urgency=low

  * New upstream release
  * debian/{control,rules}: do not use dpatch anymore since we do not have
    patches to apply

 -- Ludovic Rousseau <rousseau@debian.org>  Mon,  8 May 2006 17:37:39 +0200

pcsc-tools (1.4.4-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 25 Mar 2006 18:54:15 +0100

pcsc-tools (1.4.3-1) unstable; urgency=low

  * New upstream release
   - Closes: #356060: "pcsc-tools: removing and inserting again a card cause
     pcsc_scan to crash"

 -- Ludovic Rousseau <rousseau@debian.org>  Thu,  9 Mar 2006 14:58:23 +0100

pcsc-tools (1.4.2-2) unstable; urgency=low

  * install smartcard_list.txt in /usr/share/pcsc/ so that ATR_analysis can
    find it there. Closes: #356025: "pcsc-tools: strance traces using
    pcsc_scan"

 -- Ludovic Rousseau <rousseau@debian.org>  Thu,  9 Mar 2006 13:19:40 +0100

pcsc-tools (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue,  7 Mar 2006 21:51:26 +0100

pcsc-tools (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 12 Jun 2005 08:58:38 +0000

pcsc-tools (1.4.0-1) unstable; urgency=low

  * New upstream release
   - patch 10_ATR_analysis.1p now included upstream
  * debian/control:
   - Depends: libgtk2-perl instead of libgtk-perl
   - Depends: libpcsc-perl (>= 1.4.2-1)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue,  7 Sep 2004 21:39:53 +0200

pcsc-tools (1.3.4-2) unstable; urgency=low

  * debian/control: build depends on pkg-config

 -- Ludovic Rousseau <rousseau@debian.org>  Mon,  5 Jul 2004 11:06:13 +0200

pcsc-tools (1.3.4-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  4 Jul 2004 19:01:52 +0200

pcsc-tools (1.3.3-2) unstable; urgency=low

  * debian/control: Build-Depends: libpcsclite-dev (>= 1.2.9-beta2-1) to link
    with libpcsclite1 instead of libpcsclite0

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 31 May 2004 13:52:55 +0200

pcsc-tools (1.3.3-1) unstable; urgency=low

  * New upstream release
  * debian/watch: new file, see uscan(1)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  2 Apr 2004 20:53:14 +0200

pcsc-tools (1.3.2-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 17 Dec 2003 21:07:03 +0100

pcsc-tools (1.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: update Standards-Version: from 3.5.10 to of 3.6.1


=== debian/control ===
Source: pcsc-tools
Section: utils
Priority: extra
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libpcsclite-dev, pkg-config
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-tools/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-toolf/trunk/
Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/

Package: pcsc-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcsc-perl, libgtk2-perl
Description: Some tools to use with smart cards and PC/SC
 This archive contains some tools useful for a PC/SC user. The tools
 provided are:
 .
 pcsc_scan(1) scans available smart card readers and print detected
 events: card insertion with ATR, card removal;
 .
 ATR_analysis(1) analyses a smart card ATR (Answer To Reset)
 .
 scriptor(1) Perl script to send commands to a smart card using a
 batch file or stdin;
 .
 gscriptor(1) the same idea as scriptor.pl(1) but with Perl-Gtk GUI.

=== debian/watch ===
# see uscan(1)
version=2
http://ludovic.rousseau.free.fr/softwares/pcsc-tools/ \
	pcsc-tools-([\d\.]*)\.tar\.gz

## pcsc-tools 1.4.20

=== debian/changelog ===
pcsc-tools (1.4.20-1) unstable; urgency=low

  * New upstream release
  * debian/compat: move from 7 to 9 to use automatic hardening
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 16 Jun 2012 13:21:09 +0200

## pcsc-tools 1.4.21

=== debian/changelog ===
pcsc-tools (1.4.21-1) unstable; urgency=low

  * New upstream release
  * Fix "wrong man page section in SEE ALSO" (Closes: #695094)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 07 Dec 2012 15:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libpcsclite-dev, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libpcsclite-dev, pkg-config
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-tools/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-toolf/trunk/
 Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/

## pcsc-tools 1.4.22

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4192 2009-05-10 15:48:14Z rousseau $
+# $Id: Makefile 6338 2012-06-16 10:31:54Z rousseau $
 
 # PC/SC Lite libraries and headers.
 PCSC_CFLAGS ?= $(shell pkg-config libpcsclite --cflags)
@@ -8,7 +8,7 @@
 DESTDIR ?= /usr/local
 
 VERSION := $(shell pwd | sed s/.*tools-//)
-CFLAGS := -Wall -O2 -g -DVERSION=\"$(VERSION)\" $(PCSC_CFLAGS)
+CFLAGS := $(CFLAGS) -DVERSION=\"$(VERSION)\" $(PCSC_CFLAGS)
 LDLIBS := $(PCSC_LDLIBS)
 # On xBSD systems use
 #LDLIBS = -lc_r $(PCSC_LDLIBS)

=== debian/changelog ===
pcsc-tools (1.4.22-1) unstable; urgency=low

  * New upstream release
  * debian/control: correct Vcs-Browser: field
  * debian/control: correct Vcs-Svn: field
  * debian/control: Standards-Version: 3.9.3 -> 3.9.5. No change needed.
  * debian/watch: add support for OpenPGP signature

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 17 Jan 2014 15:12:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9), libpcsclite-dev, pkg-config
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-tools/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-toolf/trunk/
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-tools/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-tools/trunk/
 Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
 
 Package: pcsc-tools

## pcsc-tools 1.4.23

=== debian/changelog ===
pcsc-tools (1.4.23-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 13 Sep 2014 14:58:18 +0200

## pcsc-tools 1.4.24

=== debian/changelog ===
pcsc-tools (1.4.24-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.5 -> 3.9.6. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 07 Aug 2015 20:57:34 +0200

## pcsc-tools 1.4.25

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Id: Makefile 6338 2012-06-16 10:31:54Z rousseau $
-
 # PC/SC Lite libraries and headers.
 PCSC_CFLAGS ?= $(shell pkg-config libpcsclite --cflags)
 PCSC_LDLIBS ?= $(shell pkg-config libpcsclite --libs)
@@ -45,5 +43,7 @@
 %.1p.gz: %.1p
 	gzip --best $^ --to-stdout > $@
 
-.PHONY: clean all install
+.PHONY: clean all install Changelog
 
+Changelog:
+	git log --stat --decorate=short > $@

=== debian/changelog ===
pcsc-tools (1.4.25-1) unstable; urgency=medium

  * New upstream release
  * Fix "[pcsc-tools] Update of smartcard_list.txt is broken" fixed upstream
    (Closes: #804049)
  * debian/docs: TODO file no more provided upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Nov 2015 18:26:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9), libpcsclite-dev, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-tools/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-tools/trunk/
 Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# Add here commands to install the package into debian/pcsc-tools.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pcsc-tools/usr

	cp gscriptor.desktop $(CURDIR)/debian/pcsc-tools/usr/share/applications/

=== debian/watch ===
# see uscan(1)
version=2
opts=pgpsigurlmangle=s/$/.asc/ \
	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/ \
	pcsc-tools-([\d\.]*)\.tar\.gz

## pcsc-tools 1.4.27

=== debian/changelog ===
pcsc-tools (1.4.27-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.7 -> 3.9.8. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 02 Jul 2016 19:03:08 +0200

pcsc-tools (1.4.26-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Fix lintian warning: vcs-field-uses-insecure-uri
  * debian/rules: use "hardening=+all" to please lintian(1)
  * debian/control: Standards-Version: 3.9.6 -> 3.9.7. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 19 Mar 2016 23:18:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9), libpcsclite-dev, pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-tools/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-tools/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-tools/trunk/
 Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
 
 Package: pcsc-tools

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## pcsc-tools 1.5.2

=== debian/changelog ===
pcsc-tools (1.5.2-2) unstable; urgency=medium

  * Migrate the Debian packging from SVN to GIT

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 22 Dec 2017 13:18:26 +0100

pcsc-tools (1.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 28 May 2017 23:05:41 +0200

pcsc-tools (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: archive extension is now .tar.bz2

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 28 May 2017 22:53:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9), libpcsclite-dev, pkg-config
 Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-tools/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-tools/trunk/
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/pcsc-tools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pcsc-tools.git
 Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
 
 Package: pcsc-tools

## pcsc-tools 1.5.3

=== debian/changelog ===
pcsc-tools (1.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Apr 2018 17:10:45 +0200

pcsc-tools (1.5.2-3) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: change Priority: from extra to optional
    W: pcsc-tools: priority-extra-is-replaced-by-priority-optional

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 24 Mar 2018 23:57:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: pcsc-tools
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9), libpcsclite-dev, pkg-config
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/pcsc-tools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pcsc-tools.git
+Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
+Vcs-Browser: https://salsa.debian.org/debian/pcsc-tools
 Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
 
 Package: pcsc-tools

## pcsc-tools 1.5.4

=== debian/changelog ===
pcsc-tools (1.5.4-1) unstable; urgency=medium

  * New upstream release
  * Fix "Depends on libgtk2-perl, that won't be part of Bullseye"
    Upstream moved to Gtk+3 (Closes: #912891)
  * d/compat: move debhelper from 9 to 11
  * d/upstream/signing-key.asc: use minimal key
  * d/control: Standards-Version: 3.9.8 -> 4.2.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 12 Dec 2018 13:54:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9), libpcsclite-dev, pkg-config
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), libpcsclite-dev, pkg-config
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-tools
 Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
 
 Package: pcsc-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpcsc-perl, libgtk2-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpcsc-perl, libgtk3-perl
 Description: Some tools to use with smart cards and PC/SC
  This archive contains some tools useful for a PC/SC user. The tools
  provided are:

=== debian/watch ===
# see uscan(1)
version=2
opts=pgpsigurlmangle=s/$/.asc/ \
	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/ \
	pcsc-tools-([\d\.]*)\.tar\.bz2

## pcsc-tools 1.5.5

=== debian/changelog ===
pcsc-tools (1.5.5-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.2.1 -> 4.4.1. No change needed.
  * d/control: use debhelper-compat (= 12)
  * d/control: add Rules-Requires-Root: no
  * d/patches/01_incorrect-path-for-interpreter: Fix lintian warnings:
    incorrect-path-for-interpreter (#!/usr/bin/env perl != /usr/bin/perl)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Jan 2020 15:33:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 11), libpcsclite-dev, pkg-config
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), libpcsclite-dev, pkg-config
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-tools
 Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/

## pcsc-tools 1.5.7

=== debian/changelog ===
pcsc-tools (1.5.7-1) unstable; urgency=medium

  * New upstream release
  * d/control: Build-Depends: debhelper-compat (= 13)
  * d/source/include-binaries: removed since unused
    I: pcsc-tools source: unused-entry-in-debian-source-include-binaries
    debian/upstream-signing-key.pgp

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 07 Jul 2020 15:33:52 +0200

pcsc-tools (1.5.6-2) unstable; urgency=medium

  * Fix "gscriptor causes GUI stack to be installed on headless server"
    libgtk3-perl is now Recommends: (Closes: #955261)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 29 Mar 2020 16:00:26 +0200

pcsc-tools (1.5.6-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.4.1 -> 4.5.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Mar 2020 17:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 12), libpcsclite-dev, pkg-config
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), libpcsclite-dev, pkg-config
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-tools
@@ -11,7 +11,8 @@
 
 Package: pcsc-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpcsc-perl, libgtk3-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpcsc-perl
+Recommends: libgtk3-perl
 Description: Some tools to use with smart cards and PC/SC
  This archive contains some tools useful for a PC/SC user. The tools
  provided are:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	# Add here commands to install the package into debian/pcsc-tools.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pcsc-tools

	cp gscriptor.desktop $(CURDIR)/debian/pcsc-tools/usr/share/applications/

## pcsc-tools 1.6.0

=== debian/changelog ===
pcsc-tools (1.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 29 Jan 2022 18:57:40 +0100

pcsc-tools (1.5.8-1) unstable; urgency=medium

  * New upstream release
  * d/watch: upgrade to version 4
    lintian: obsolete-debian-watch-file-standard 2
  * d/control: Standards-Version: 4.5.0 -> 4.6.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 07 Nov 2021 17:32:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper-compat (= 13), libpcsclite-dev, pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-tools

=== debian/watch ===
# see uscan(1)
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/ \
	pcsc-tools-([\d\.]*)\.tar\.bz2

## pcsc-tools 1.6.2

=== debian/changelog ===
pcsc-tools (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * d/watch: update upstream URL
  * d/control: update Homepage: URL
  * d/control: Standards-Version: 4.6.1 -> 4.6.2. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 22 Jan 2023 16:34:58 +0100

pcsc-tools (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.6.0 -> 4.6.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 Dec 2022 13:50:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper-compat (= 13), libpcsclite-dev, pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-tools
-Homepage: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
+Homepage: https://pcsc-tools.apdu.fr/
 
 Package: pcsc-tools
 Architecture: any

## pcsc-tools 1.7.1

=== debian/changelog ===
pcsc-tools (1.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 30 Dec 2023 15:33:46 +0100

pcsc-tools (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * d/p/01_incorrect: update ATR_analysis filename
  * d/control Build-Depends: autoconf-archive
  * d/control: Depends: libintl-perl

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Oct 2023 12:34:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 13), libpcsclite-dev, pkg-config
+Build-Depends:
+	autoconf-archive,
+	debhelper-compat (= 13),
+	libpcsclite-dev,
+	pkg-config
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
@@ -11,7 +15,7 @@
 
 Package: pcsc-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpcsc-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpcsc-perl, libintl-perl
 Recommends: libgtk3-perl
 Description: Some tools to use with smart cards and PC/SC
  This archive contains some tools useful for a PC/SC user. The tools

## pcsc-tools 1.7.2

=== debian/changelog ===
pcsc-tools (1.7.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: Build-Depends: on pkgconf instead of pkg-config
  * d/control: Standards-Version: 4.6.2 -> 4.7.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 10 Aug 2024 18:50:44 +0200

=== debian/watch ===
# see uscan(1)
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
	https://pcsc-tools.apdu.fr/ \
	pcsc-tools-([\d\.]*)\.tar\.bz2

## pcsc-tools 1.7.3

=== debian/changelog ===
pcsc-tools (1.7.3-1) unstable; urgency=medium

  * New upstream release
  * manpages are in .1 instead of .1p

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 22 Mar 2025 14:23:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	autoconf-archive,
 	debhelper-compat (= 13),
 	libpcsclite-dev,
-	pkg-config
-Standards-Version: 4.6.2
+	pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-tools

## pcsc-tools 1.7.4

=== debian/changelog ===
pcsc-tools (1.7.4-1) unstable; urgency=medium

  * New upstream release
  * d/control: remove Priority: field
  * d/control: remove Rules-Requires-Root field
  * d/control: Standards-Version: 4.7.0 -> 4.7.3.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Feb 2026 15:36:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: pcsc-tools
 Section: utils
-Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends:
 	autoconf-archive,
 	debhelper-compat (= 13),
 	libpcsclite-dev,
 	pkgconf
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/pcsc-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/pcsc-tools
 Homepage: https://pcsc-tools.apdu.fr/
